Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2806 - DNS broken: No default nameserver in resolv.conf
Summary: DNS broken: No default nameserver in resolv.conf
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: caching-nameserver
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-14 00:34 UTC by warwick
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-15 20:23:12 UTC


Attachments (Terms of Use)

Description warwick 1999-05-14 00:34:24 UTC
Changing from 5.1 to 6.0, with no `nameserver' line in
/etc/resolv.conf for either install, 5.1's DNS defaults to
localhost, but 6.0's just fails. (Lynx, Netscape, ping...)

Add `nameserver 127.0.0.1' to resolv.conf.

resolv.conf isn't owned by any package, but this seems to be
something you'd want if you run a caching nameserver
locally.

Comment 1 warwick 1999-05-14 00:36:59 UTC
Sorry, I said `changing from 5.1 to 6.0'. I meant `observed difference
from 5.1 in a fresh install of 6.0'

Comment 2 Jeff Johnson 1999-05-15 20:23:59 UTC
The installer (and ultimately the user) is responsible for
configuring the DNS client. Assuming that there is a nameserver
running on localhost is not the Right Thing To Do.

------- Email Received From  Tim Baverstock <warwick@sable.demon.co.uk> 05/15/99 18:43 -------


Note You need to log in before you can comment on or make changes to this bug.